@tailwind base;
@tailwind components;
@tailwind utilities;

@layout base {

}

@layer utilities {
  /* FLEXBOX */
  .flex-center {
    @apply flex items-center justify-center;
  }

  .flex-start {
    @apply flex items-start justify-start;
  }

  .flex-end {
    @apply flex items-end justify-end;
  }

  .flex-between-center {
    @apply flex items-center justify-between;
  }

  .flex-between-start {
    @apply flex items-start justify-between;
  }

  .flex-between-end {
    @apply flex items-end justify-between;
  }

  .flex-start-center {
    @apply flex items-center justify-start;
  }

  .flex-start-end {
    @apply flex items-end justify-start;
  }

  .flex-start-start {
    @apply flex items-start justify-start;
  }

  .flex-end-center {
    @apply flex items-center justify-end;
  }

  .flex-end-end {
    @apply flex items-end justify-end;
  }

  .flex-center-start {
    @apply flex items-start justify-center;
  }

  .flex-center-end {
    @apply flex items-end justify-center;
  }

  .flex-around-center {
    @apply flex items-center justify-around;
  }

  .flex-around-end {
    @apply flex items-end justify-around;
  }

  /*.inner-container {
    @apply max-w-[1200px] w-full mx-auto;
  }

  .inner-container.single-post {
    @apply max-w-[900px];
  }

  label.required {
    @apply after:content-['*'] after:ml-0.5
  }

  .underline-under {
    text-underline-position: under;
  }*/
  .container-fluid {
    @apply w-screen px-[50px] max-w-[1800px] mx-auto;
  }

  .container-narrow {
    @apply w-screen px-[50px] max-w-[1100px] mx-auto;
  }

  /* Menu bullet points */
  .bullet-divider {
    @apply relative;
  }

  .bullet-divider:not(:last-child):after {
    @apply content-['•'] absolute right-[-28px] text-[33px] -mt-[2px] top-[50%] transform translate-y-[-50%];
  }

  /* Links */
  a {
    @apply text-blue-basic underline underline-offset-4 decoration-1 hover:underline decoration-green-500/30 hover:decoration-green-500/90 hover:after:opacity-100 after:opacity-30;
  }

  a[target=_blank]:after {
    content: url("/icons/link-out.svg");
    margin: 0 3px 0 5px;
  }

  /* Testing */
  .test-searchbox-dim {
    z-index: 10;
    position: relative;
  }

  .test-searchbox-dim:hover + .test-searchbox-overlay {
    opacity: 1;
  }

  .test-searchbox-overlay {
    position: fixed;
    pointer-events: none !important;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 0;
    background: rgba(0, 0, 0, 0.16);
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: 2s;
  }


  .grid-test {
    --gap: 2px;
    --line-offset: calc(var(--gap) / 2);
    --line-thickness: 1px;
    --line-color: #000;
    overflow: hidden;
    gap: var(--gap);
  }


  .grid__item {
    position: relative;
  }

  .grid__item::before,
  .grid__item::after {
    content: '';
    position: absolute;
    background-color: var(--line-color);
    z-index: 1;
  }


  .grid__item::after {
    inline-size: 100vw;
    block-size: var(--line-thickness);
    inset-inline-start: 0;
    inset-block-start: calc(var(--line-offset) * -1);
  }


  .grid__item::before {
    inline-size: var(--line-thickness);
    block-size: 100vh;
    inset-inline-start: calc(var(--line-offset) * -1);
  }

  /* Product detail */
  .benefits-list li:before {
    content: "";
    width: 17px;
    height: 15px;
    margin-right: 4px;
    background-image: url("/icons/logo-triangle.svg");
    position: relative;
    display: inline-block;
    background-repeat: no-repeat;
    background-position: bottom;
  }

  /* FIXing things*/
  input:focus-visible {
    outline: none !important;
  }

  input:focus {
    outline: none !important;
  }
}

